<?php // Written by Asst.Prof.Dr.Taskeow Srisod
class CacheClass
{
    var $cache_time  =   null;
    var $file_name   =   null;
    function __construct($file_name, $cache_time = 0)
    {
         $this->cache_time =  ($cache_time > 0) ? $cache_time : (3); // (300 * 60)
         $this->file_name  =  $file_name;
    }
    function startcache()   // Set Start buffer in memnory
    {
        ob_start(); 
    }
    function fileTocache()  // Get contents file to cache
    {
		require_once('functions/minify.php');
        $fp     =   fopen($this->file_name, 'w'); 
        fwrite($fp, minify_html(ob_get_contents())); 
        fclose($fp);
        ob_end_flush(); // Set End Flush
    }
    function check()
    { 
        return(file_exists($this->file_name) && (time() - $this->cache_time < filemtime($this->file_name)));
    }
}
?>